Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.buildin.hardandsoft
Class HardAndSoftScoreHolder

    java.lang.Object
      org.drools.planner.core.score.holder.AbstractScoreHolder
          org.drools.planner.core.score.buildin.hardandsoft.HardAndSoftScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class HardAndSoftScoreHolder

extends AbstractScoreHolder

See Also:
  Serialized Form

Field Summary
`protected int` | `hardConstraintsBroken`
`protected int` | `softConstraintsBroken`

Constructor Summary
`HardAndSoftScoreHolder()`

Method Summary
`Score` | `extractScore()` Extracts the `Score`, calculated by the `WorkingMemory` for `DroolsScoreDirector`.
`int` | `getHardConstraintsBroken()`
`int` | `getSoftConstraintsBroken()`
`void` | `setHardConstraintsBroken(int hardConstraintsBroken)`
`void` | `setSoftConstraintsBroken(int softConstraintsBroken)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hardConstraintsBroken

    protected int hardConstraintsBroken

### softConstraintsBroken

    protected int softConstraintsBroken

Constructor Detail

### HardAndSoftScoreHolder

    public HardAndSoftScoreHolder()

Method Detail

### getHardConstraintsBroken

    public int getHardConstraintsBroken()

### setHardConstraintsBroken

    public void setHardConstraintsBroken(int hardConstraintsBroken)

### getSoftConstraintsBroken

    public int getSoftConstraintsBroken()

### setSoftConstraintsBroken

    public void setSoftConstraintsBroken(int softConstraintsBroken)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `WorkingMemory` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.